#include "iostream"
using namespace std;

int main() {
    int t;
    cin >> t;
    int N, M;
    cin >> N >> M;
    for(int q = 0; q < t;q++) {
        int l[N][M], u[N][M], m[N][M] ={0};
        for (int i = 0; i < N; i++)for (int j = 0; j < M; j++) cin >> l[i][j];
        for (int i = 0; i < N; i++)for (int j = 0; j < M; j++) cin >> u[i][j];
        bool same = true;
        for(int i = 0; i < N;i++)
        {
            for(int j = 0; j < M;j++)
            {
                if(l[i][j] < u[i][j]) same = false;
            }
        }
        bool done = same;
        while(!done)
        {
            done = true;
            for(int i = 0; i < N;i++)
            {
                for(int j = 0; j < M;j++)
                {
                    if(m[j][i] > u[j][i])
                    {
                        for(int x = 0; x < M;x++)
                        {
                            m[x][i]--;j--;done = false;
                        }
                    }
                }
            }
            for(int i = 0; i < N;i++)
            {
                for(int j = 0; j < M;j++)
                {
                    if(m[i][j] < l[i][j])
                    {
                        for(int x = 0; x < M;x++)
                        {
                            m[i][x]++;j--;done = false;
                        }
                    }
                }
            }
        }
        if(same) cout << "NE";
        else
        {
            cout << "DA";
            for(int i = 0; i < N; i++)
            {cout << "\n";
                for(int j = 0; j < M; j++) {
                    cout << m[i][j] << " ";
                }
            }
        }
    }
}